Skip to main content
`Ctrl`+`K`

# TSSetType

Sets the algorithm/method to be used for integrating the ODE with the given `TS`.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetType(TS ts, TSType type)

Collective

## Input Parameters

- ts - The `TS` context

- type - A known method

## Options Database Key

- -ts_type <type> - Sets the method; use -help for a list of available methods (for instance, euler)

## Notes

See `TSType` for available methods (for instance)

- TSEULER - Euler

- TSBEULER - Backward Euler

- TSPSEUDO - Pseudo-timestepping

Normally, it is best to use the `TSSetFromOptions()` command and then set the `TS` type from the options database rather than by using this routine. Using the options database provides the user with maximum flexibility in evaluating the many different solvers. The TSSetType() routine is provided for those situations where it is necessary to set the timestepping solver independently of the command line or options database. This might be the case, for example, when the choice of solver changes during the execution of the program, and the user’s application is taking responsibility for choosing the appropriate method. In other words, this routine is not for beginners.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSolve()`, `TSCreate()`, `TSSetFromOptions()`, `TSDestroy()`, `TSType`

## Level

intermediate

## Location

src/ts/interface/tsreg.c

## Examples

src/tao/unconstrained/tutorials/burgers_spectral.c
src/ts/tutorials/ex15.c
src/ts/tutorials/ex16fwd.c
src/tao/unconstrained/tutorials/spectraladjointassimilation.c
src/ts/tutorials/ex1.c
src/ts/tutorials/ex17.c
src/ts/tutorials/ex12.c
src/ts/tutorials/ex13.c
src/ts/tutorials/ex11_sa.c
src/ts/tutorials/ex16.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages